# -*- coding: utf-8 -*-
"""
CodeSmidgen, yet another paste bin
"""
import quart_flask_patch            # noqa: F401
from quart import Quart

from codesmidgen.config import get_config
from codesmidgen.db import db
from codesmidgen.views import views


def make_app() -> Quart:
    """
    Create the application object
    """
    app = Quart(__name__)
    app.config.update(get_config())
    db.init_app(app)
    app.register_blueprint(views)

    @app.before_first_request
    async def setup_db() -> None:
        db.create_all()

    return app
